/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.transport.multicast;

import org.codehaus.activemq.ActiveMQConnectionFactory;
import org.codehaus.activemq.test.JmsTopicSendReceiveWithTwoConnectionsTest;

import javax.jms.Connection;

/**
 * @version $Revision: 1.4 $
 */
public class MulticastTwoBrokerTest extends JmsTopicSendReceiveWithTwoConnectionsTest {
    private int counter;

    protected Connection createConnection() throws Exception {
        DummyConnectionFactory factory = (DummyConnectionFactory) getConnectionFactory();
        if (++counter == 1) {
            factory.setClientID("producer");
        }
        else {
            if (counter == 2) {
                factory.setClientID("consumer");
            }
            else {
                factory.setClientID("id:" + counter);
            }
        }
        Connection answer = factory.createConnection();
        factory.unregisterBroker();
        return answer;
    }

    protected ActiveMQConnectionFactory createConnectionFactory() {
        return new DummyConnectionFactory(getBrokerURL());
    }

    protected String getBrokerURL() {
        return "multicast://224.1.2.3:2123";
    }
}
